require 'mkmf'

if ENV["CUBRID_CAS"] then
  ccipath = ENV["CUBRID_CAS"] + "/cci"
elsif ENV["CUBRID_BROKER"] then
  ccipath = ENV["CUBRID_BROKER"] + "/cci"
else
  puts "$CUBRID_BROKER is not defined."
  exit
end
  
$INCFLAGS = $INCFLAGS + " -I" +  ccipath
$LIBPATH.push(ccipath)

have_library("cascci", "cci_init")
create_makefile("cubrid")
